﻿
using Microsoft.Data.Entity;

namespace WebApplication2.Data
{
    public class PersonContext: DbContext
    {
        public DbSet<Person> People { get; set; }

        protected override void OnModelCreating(ModelBuilder modelBuilder)
        {
            base.OnModelCreating(modelBuilder);
            modelBuilder.Entity<Person>().Property(c => c.FirstName).MaxLength(30);
            modelBuilder.Entity<Person>().Property(c => c.LastName).MaxLength(40);
        }
    }
}
